:root{
    --main-color: aqua;
    --white-color: #fff;
    --black-color: #000;
}
*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    border: none;
}

@font-face {
    font-family: 'bank-gothic-medium';
    src: url('fonts/bank-gothic-medium.woff2');
}
@font-face {
    font-family: 'bank-gothic-regular';
    src:url('fonts/bank-gothic-regular.woff2');
}
@font-face {
    font-family: 'tomkin-medium';
    src: url('fonts/tomkin-medium.woff2');
}
@font-face {
    font-family: 'tomkin-regular';
    src:url('fonts/tomkin-regular.woff2');
}

/* .header {
    background-image: linear-gradient(to right, #18273A , #67808E, #18273A);
    padding: 20px 0;
    width: 100%;
} */
.background-image {
    z-index: -1;
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0px;
    top: 0px;
    object-fit: cover;
}

.rectangle{
    width: 100%;
    background: rgba(0, 0, 0, 0.9);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(4px);
    border-radius: 20px;
    padding: 25px;
    margin: 0 auto;
    max-width: 1000px;
}

.main-container {
    padding: 20px;
}

.wrapper {
    margin: 0 auto;
    max-width: 1500px;
    align-items: center;
    display: flex;
    justify-content: space-between;
    padding: 10px 30px;
}

.wrapper a {
    text-decoration: none;
}

.logo-icon {
    max-width: 250px;
}
.logo-icon-text{
    display: flex;
    align-items: center;
}
/* for logo text adding animation */
.logo-text {
    font-family: bank-gothic-medium, sans-serif;
    font-size: 1.75rem;
    color: var(--white-color);
}
.logo-text .text-ani{
    transition: .8s linear
}
.logo-text:hover .text-ani:nth-child(1):after{
    content: "nuj";
}
.logo-text:hover .text-ani:nth-child(2){
    margin-left: 20px;
}
.logo-text:hover .text-ani:nth-child(2):after{
    content: "anwar";
}

.logo-text:hover .text-ani{
    color: var(--main-color);
    text-shadow: 0 0 10px var(--white-color),
                 0 0 20px var(--white-color);
}

/* end for logo text animation */

.logo-sub-text {
    font-family: bank-gothic-medium, sans-serif;
    font-size: 1.25rem;
    color: var(--black-color);
    padding: 10px;
}

/* navigation */

.nav-list {
    display: flex;
    font-family: bank-gothic-medium, sans-serif;
}
.nav-list-item {
    list-style-type: none;
    margin: 5px;
    padding: 5px;
    background-color: var(--black-color);
    border-radius: 20px;
}
.nav-bar {
    color: var(--white-color);
    font-size: 1.25rem;
    text-decoration: none;
    padding: 10px;
}
.nav-bar:hover{
    color: var(--main-color);
    font-size: 1.5rem;
    text-shadow: 0 0 10px var(--white-color);
    transition: .5s linear
}

/* navigation end */

/* footer */

/* .footer {
    background-image: linear-gradient(to right, #18273A , #67808E, #18273A);
    padding: 20px 0;
    width: 100%;
} */
.footer-wrapper {
    margin: 0 auto;
    max-width: 1500px;
    align-items: center;
    text-align: center;
}

.footer-wrapper a {
    text-decoration: none;
}

.contact-title {
    font-family: bank-gothic-medium, sans-serif;
    font-size: 1.75rem;
    padding: 5px;
    color: var(--white-color);
}

.email {
    font-family: bank-gothic-regular, sans-serif;
}
.email a {
    text-decoration: none;
    font-size: 1.25rem;
    color: var(--white-color);
    padding: 10px;
}
.email:hover a {
    font-size: 1.5rem;
    color: var(--main-color);
}

.connect-title {
    font-family: bank-gothic-medium, sans-serif;
    font-size: 1.75rem;
    padding: 5px;
    color: var(--white-color);
}

.follow-links {
    padding: 5px;
}
.connect-link .icon {
    fill: var(--white-color);
    margin: 5px;
}
.connect-link:hover .icon {
    fill: var(--main-color);
}

.copy-sign {
    font-family: bank-gothic-regular, sans-serif;
    color: var(--white-color);
    padding: 0 0 10px 0;
}

/* footer end */

/* main styling for index resume portflio and container */
.main {
    /* background-color: var(--white-color);
    min-height: 100vh; */
    padding: 20px 0;
}
.main-title {
    color: var(--white-color);
    font-family: tomkin-medium, sans-serif;
    font-size: 3.5rem;
    padding: 0 20px;
    margin: 0 0 25px 0;
}
.main-title-second{
    color: var(--main-color);
    font-family: tomkin-medium, sans-serif;
    font-size: 3.5rem;
}

.subtitle {
    font-family: tomkin-regular, sans-serif;
    font-size: 1.5rem;
    padding: 20px 10px;
    color: var(--white-color);
}
/* main end  */

/* portfolio styles */
.my-work-title {
    font-family: tomkin-medium, sans-serif;
    font-size: 3.5rem;
    color: var(--white-color);
    padding: 0 20px;
    text-align: center;
}
.my-work-title-second {
    font-family: tomkin-medium, sans-serif;
    font-size: 3.5rem;
    color: var(--main-color);
}

.sub-work-title {
    font-family: tomkin-regular, sans-serif;
    font-size: 2rem;
    padding: 20px;
    color: var(--white-color);
}

.projects {
    display: grid;
    grid-gap: 0.7rem;
    /* grid-template-columns: repeat(3, 1fr);  */
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
}
.projects img {
    width: 100%;
    border: 3px var(--white-color) solid; 
    border-radius: 20px;
    filter: blur(3px) grayscale(80%);
}
.projects img:hover {
    filter: none;
    border-color: var(--main-color);
    transition: all 0.5s ease-out; 
}
.button, .button-lower, .button-upper {
    display: block;
    padding: 0.5rem 1rem;
    border: 0;
    margin-bottom: 0.3rem; 
    border-radius: 20px;
}
.button:hover, .button-lower:hover, .button-upper:hover {
    background: var(--main-color);
    color: var(--black-color);
}
  
.button-lower {
    background: var(--white-color);
    color: var(--black-color); 
}

.button-upper {
    background: var(--white-color);
    color: var(--black-color); 
}
.info-title{
    font-family: tomkin-regular, sans-serif;
    font-size: 1rem;
    text-align: center;
}
.work-item a {
    text-decoration: none;
}

/* portfolio end */

/* contact styles */

.contact-text {
    font-family: tomkin-medium, sans-serif;
    font-size: 3.5rem;
    color: var(--main-color);
    padding: 0 20px;
    text-align: center;
}
.connect-text{
    font-family: tomkin-regular, sans-serif;
    font-size: 2rem;
    color: var(--white-color);
    padding: 0 20px;
}
.contact-email-text {
    font-size: 1.5rem;
    padding: 20px 20px;
    font-family: tomkin-regular, sans-serif;
}
.contact-email-text a {
    text-decoration: none;
    color: var(--white-color);
}
.contact-email-text:hover a {
    color: var(--main-color);
}

.contact-follow-links {
    padding: 5px;
}
.contact-follow-links a {
    text-decoration: none;
}
.contact-connect-link .follow-icon {
    fill: var(--white-color);
    margin: 15px;
}
.contact-connect-link:hover .follow-icon {
    fill: var(--main-color);
}
/* contact ends */

/* Resume styles */

.section {
    font-family: tomkin-medium, sans-serif;
    padding: 10px;
}

.section-title {
    padding: 20px;
    font-size: 1.5rem;
    color: var(--white-color);
}
.edu-items {
    padding: 10px;
    /* margin: 0 10px; */
    color: var(--main-color);
}
.edu-sub-items {
    padding: 5px;
    margin: 0 10px;
}
.edu-items-text {
    padding: 10px;
}
.school-name {
    padding: 10px;
    font-size: 1.25rem;
    /* color: var(--white-color); */
    color: var(--black-color);
    background-color: var(--white-color);
    display: inline;
    border-radius: 10px;
}

.work-title {
    padding: 10px;
}
.work-sub-title {
    color: var(--black-color);
    background-color: var(--white-color);
    display: inline;
    padding: 10px;
    border-radius: 10px;
}
.work-items {
    padding: 10px;
    color: var(--main-color);
}
.work-sub-items {
    padding: 5px;
    margin: 0 10px;
}
.work-items-text {
    padding: 10px;
}

.resume-text {
    font-family: tomkin-medium, sans-serif;
    font-size: 3rem;
    padding: 10px;
    text-align: center;
    color: var(--main-color);
}
.resume-pdf {
    /* padding: 3px 0 3px 15px; */
    text-align: center;
    padding: 10px;
    margin: 10px;
}
.resume-pdf a {
    text-decoration: none;
    color: var(--black-color);
    font-family: bank-gothic-medium, sans-serif;
    font-size: 1.25rem;
    background-color: var(--white-color);
    padding: 10px;
    margin: 10px;
    display: inline;
    border-radius: 20px;
    transition: 0.5s;
}

.resume-pdf a:hover {
    text-decoration: none;
    color: var(--black-color);
    font-size: 1.75rem;
    background-position: right center;
    background-color: var(--main-color);
}

/* Resume Ends */

/*  zodiac project info styles */

.project-info-title-main-title {
    font-size: 3.5rem;
    font-family: tomkin-medium, sans-serif;
    color: var(--white-color);
    padding: 0 20px;
    text-align: center;
}
.project-info-title-main-title-second {
    font-size: 3.5rem;
    font-family: tomkin-medium, sans-serif;
    color: var(--main-color);
}

.project-info-title-subtitle {
    font-size: 2rem;
    font-family: tomkin-medium, sans-serif;
    text-align: center;
    color: var(--white-color);
    padding: 10px 0;
}

.project-info-section {
    margin: 1rem 0;
}
.project-info-section-main-title {
    font-family: bank-gothic-medium, sans-serif;
    font-size: 1.75rem;
    color: var(--main-color);
    padding: 10px 0;
}
.project-info-section-text {
    font-size: 1.25rem;
    font-family: tomkin-regular, sans-serif;
    color: var(--white-color);
}

/* zodiac project info ends */


/*  mobile nav styles */

.mobile-nav {
    display: none;
    overflow: hidden;
}

.mobile-nav-list {
    font-family: bank-gothic-medium, sans-serif;
}
.mobile-nav-list-item {
    list-style-type: none;
}
.mobile-nav-options {
    color: var(--white-color);
    font-size: 1.25rem;
    text-decoration: none;
    padding: 10px;
}
.nav-bar:hover{
    color: var(--main-color);
    font-size: 1.5rem;
    text-shadow: 0 0 10px var(--white-color);
    transition: .5s linear
}

/* hamburger menu design start */

.bar1,.bar2,.bar3{  
    display:block;  
    width:35px;  
    height:3px;  
    margin:5px auto;  
    background-color: var(--white-color);  
    transition: 0.4s;
    border-radius: 5px;  
}

/* hamburger menu design end */


/* mobile nav styles ends */


@media screen and (max-width:850px) {
    .nav-list {
        display: none;
    }
    .mobile-nav-list{  
        font-family: bank-gothic-medium, sans-serif;
        position: fixed; 
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: start;
        margin: 0 0 0 0;
        background-color: var(--black-color);
        transition:transform 0.3s ease-in;  
        transform:translate(100%); 
        list-style-type: none; 
        height: 100%;
        left: 0;
        top: 0;
        width: 100%;
        overflow: hidden;
        z-index: 2;
    }
    .mobile-nav-list a {
        display: flex;
        text-align: center;
        padding: 30px;
        font-size: 1.5rem;
    }
    .mobile-nav-options:hover {
        color: var(--main-color);
    }
    .mobile-nav {
        display: flex;
    }

    /* .logo-icon {
        display: flex;
        justify-content: center;
        margin-left: auto;
        margin-right: auto;
    }
    .logo-icon-text{
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        margin-left: auto;
        margin-right: auto;
    } */

    /* hamburger menu start */

    .ham{  
        display:block;
        padding: 6px;
        z-index: 3;
        /* position: relative; */
    }
    .nav-change{  
        transform:translate(0%);  
    }
    .change .bar1 {  
        transform: rotate(45deg) translate(8px,3px);
        /* position: fixed; */
   }
    .change .bar2 {  
        opacity: 0; 
   }
    .change .bar3 {  
        transform: rotate(-45deg) translate(8px,-3px);
        /* position: fixed; */
   }

   /* hamburger menu end */

    /* background image  */
    .main-container {
        padding: 20px;
    }
    /*  main responsive */

    .main-title {
       font-size: 2.5rem;
   }
    .main-title-second {
        font-size: 2.5rem;
    }
    .subtitle {
        font-size: 1.25rem;
    }

    /* main end */

    /* contact start */

    .contact-text {
        font-size: 2.5rem;
    }

    .connect-text {
        font-size: 1.5rem;
    }

    .contact-email-text {
        font-size: 1rem;
    }

    /* contact end */

    /* portfolio start */

    .my-work-title {
        font-size: 2.5rem;
    }
    .my-work-title-second {
        font-size: 2.5rem;
    }
    .sub-work-title {
        font-size: 1.5rem;
    }

    /* portfolio end */

    /* resume start */

    .section-title {
        padding: 20px;
        font-size: 1.25rem;
    }
    .school-name {
        font-size: 1.25rem;
        font-family: bank-gothic-medium, sans-serif;
        background-color: transparent;
        color: var(--white-color);
        display: inline-block;
    }
    .work-sub-title {
        font-size: 1.25rem;
        font-family: bank-gothic-medium, sans-serif;
        background-color: transparent;
        color: var(--white-color);
        display: inline-block;
    }
    
    .resume-text {
        font-size: 2.5rem;
    }
    .resume-pdf a {
        font-size: 1rem;
    }
    
    .resume-pdf a:hover {
        font-size: 1.5rem;
    }
    
    /* Resume Ends */

    /*  project info pages start */

    .project-info-title-main-title {
        font-size: 2.5rem;
    }
    .project-info-title-main-title-second {
        font-size: 2.5rem;
    }
    .project-info-title-subtitle {
        font-size: 1.75rem;
    }

    /* project info end */

}